Subject: Re: [bug#44249] [PATCH v3] gnu: emacs: Make strip-double-wrap more robust.

From: Marius Bakke <[email-masked]>
Date: Sat, 07 Nov 2020 21:48:49 +0100

Nicolas Goaziou <[email-masked]> writes:

> Hello,
>
>> (Can you reopen this bug report please?)
>
> I think you need to open a new one.
>
>> So I see 3 possible solutions:
>> 1. Accept my first patch and give up on match
>> 2. Accept this patch and modify almost every emacs varient (I did test building them all)
>> 3. Figure out some proper module inheritence
>>
>> I think option 3 is the most correct, but I'm lazy so I'm leaning
>> towards option 1.
>
> I think I cannot help you, as I'm not sure about how module inheritance
> is handled. Maybe someone else can chime in.

I haven't followed the discussion in detail, but from skimming through
the thread, is it just about adding (ice-9 match) to the build system
modules?

In that case I think

  #:modules ((ice-9 match) ,@%glib-or-gtk-build-system-modules)

...should do the trick.